## pg-statviz 0.6

=== requirements.txt ===
argh==0.29.3
contourpy==1.1.0
cycler==0.11.0
fonttools==4.42.1
kiwisolver==1.4.5
matplotlib==3.7.2
numpy==1.25.2
packaging==23.1
Pillow==10.0.0
psycopg2==2.9.7
pyparsing==3.0.9
python-dateutil==2.8.2
six==1.16.0

=== debian/changelog ===
pg-statviz (0.6-2) unstable; urgency=medium

  * Source-only upload.

 -- Christoph Berg <myon@debian.org>  Tue, 07 Nov 2023 10:36:51 +0100

pg-statviz (0.6-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Sun, 05 Nov 2023 15:35:42 +0100

=== debian/control ===
Source: pg-statviz
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 postgresql-all (>= 217~),
 python3:any,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/vyruss/pg_statviz
Vcs-Browser: https://salsa.debian.org/postgresql/pg-statviz
Vcs-Git: https://salsa.debian.org/postgresql/pg-statviz.git

Package: pg-statviz
Architecture: all
Depends:
 fonts-noto-core,
 fonts-noto-extra,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 postgresql-statviz,
Description: PostgreSQL internal statistics analysis and visualization
 pg_statviz is a minimalist extension and utility pair for time series analysis
 and visualization of PostgreSQL internal statistics. Created for snapshotting
 PostgreSQL's cumulative and dynamic statistics and performing time series
 analysis on them. The accompanying utility can produce visualizations for
 selected time ranges on the stored stats snapshots, enabling the user to track
 PostgreSQL performance over time and potentially perform tuning or
 troubleshooting.
 .
 This package contains the pg_statviz utility.

Package: postgresql-16-statviz
Architecture: all
Provides:
 postgresql-statviz,
Depends:
 python3-argh,
 python3-dateutil,
 python3-matplotlib,
 python3-numpy,
 python3-psycopg2,
 ${misc:Depends},
 ${postgresql:Depends},
Recommends:
 pg-statviz,
Description: PostgreSQL internal statistics analysis and visualization
 pg_statviz is a minimalist extension and utility pair for time series analysis
 and visualization of PostgreSQL internal statistics. Created for snapshotting
 PostgreSQL's cumulative and dynamic statistics and performing time series
 analysis on them. The accompanying utility can produce visualizations for
 selected time ranges on the stored stats snapshots, enabling the user to track
 PostgreSQL performance over time and potentially perform tuning or
 troubleshooting.
 .
 This package contains the PostgreSQL pg_statviz extension.

=== debian/tests/control ===
Depends:
 make,
 @,
Tests: installcheck
Restrictions: allow-stderr

Depends:
 @,
Tests: pg-statviz
Restrictions: allow-stderr

## pg-statviz 0.7

=== requirements.txt ===
argh==0.30.3
contourpy==1.1.1
cycler==0.12.1
fonttools==4.43.1
kiwisolver==1.4.5
matplotlib==3.8.0
numpy==1.26.1
packaging==23.2
pandas==2.2.2
Pillow==10.3.0
psycopg==3.2.1
pyparsing==3.1.1
python-dateutil==2.8.2
six==1.16.0

=== debian/changelog ===
pg-statviz (0.7-3.pgdg25.04+1) plucky-pgdg; urgency=medium

  * Rebuild for plucky-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 16 Sep 2024 17:01:31 +0200

pg-statviz (0.7-3) unstable; urgency=medium

  * Source-only upload.

 -- Christoph Berg <myon@debian.org>  Mon, 16 Sep 2024 17:01:31 +0200

pg-statviz (0.7-2) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Sat, 14 Sep 2024 18:18:53 +0200

pg-statviz (0.7-1) unstable; urgency=medium

  * New upstream version 0.7.
  * Move python dependencies to pg-statviz, depend on python3-pandas and
    python3-psycopg.

 -- Christoph Berg <myon@debian.org>  Thu, 25 Jul 2024 17:34:50 +0300

=== debian/control ===
Source: pg-statviz
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
 python3:any,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/vyruss/pg_statviz
Vcs-Browser: https://salsa.debian.org/postgresql/pg-statviz
Vcs-Git: https://salsa.debian.org/postgresql/pg-statviz.git

Package: pg-statviz
Architecture: all
Depends:
 fonts-noto-core,
 fonts-noto-extra,
 python3-argh,
 python3-dateutil,
 python3-matplotlib,
 python3-numpy,
 python3-pandas,
 python3-psycopg,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 postgresql-statviz,
Description: PostgreSQL internal statistics analysis and visualization
 pg_statviz is a minimalist extension and utility pair for time series analysis
 and visualization of PostgreSQL internal statistics. Created for snapshotting
 PostgreSQL's cumulative and dynamic statistics and performing time series
 analysis on them. The accompanying utility can produce visualizations for
 selected time ranges on the stored stats snapshots, enabling the user to track
 PostgreSQL performance over time and potentially perform tuning or
 troubleshooting.
 .
 This package contains the pg_statviz utility.

Package: postgresql-10-statviz
Architecture: all
Provides:
 postgresql-statviz,
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
Recommends:
 pg-statviz,
Description: PostgreSQL internal statistics analysis and visualization
 pg_statviz is a minimalist extension and utility pair for time series analysis
 and visualization of PostgreSQL internal statistics. Created for snapshotting
 PostgreSQL's cumulative and dynamic statistics and performing time series
 analysis on them. The accompanying utility can produce visualizations for
 selected time ranges on the stored stats snapshots, enabling the user to track
 PostgreSQL performance over time and potentially perform tuning or
 troubleshooting.
 .
 This package contains the PostgreSQL pg_statviz extension.

Package: postgresql-11-statviz
Architecture: all
Provides:
 postgresql-statviz,
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
Recommends:
 pg-statviz,
Description: PostgreSQL internal statistics analysis and visualization
 pg_statviz is a minimalist extension and utility pair for time series analysis
 and visualization of PostgreSQL internal statistics. Created for snapshotting
 PostgreSQL's cumulative and dynamic statistics and performing time series
 analysis on them. The accompanying utility can produce visualizations for
 selected time ranges on the stored stats snapshots, enabling the user to track
 PostgreSQL performance over time and potentially perform tuning or
 troubleshooting.
 .
 This package contains the PostgreSQL pg_statviz extension.

Package: postgresql-12-statviz
Architecture: all
Provides:
 postgresql-statviz,
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
Recommends:
 pg-statviz,
Description: PostgreSQL internal statistics analysis and visualization
 pg_statviz is a minimalist extension and utility pair for time series analysis
 and visualization of PostgreSQL internal statistics. Created for snapshotting
 PostgreSQL's cumulative and dynamic statistics and performing time series
 analysis on them. The accompanying utility can produce visualizations for
 selected time ranges on the stored stats snapshots, enabling the user to track
 PostgreSQL performance over time and potentially perform tuning or
 troubleshooting.
 .
 This package contains the PostgreSQL pg_statviz extension.

Package: postgresql-13-statviz
Architecture: all
Provides:
 postgresql-statviz,
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
Recommends:
 pg-statviz,
Description: PostgreSQL internal statistics analysis and visualization
 pg_statviz is a minimalist extension and utility pair for time series analysis
 and visualization of PostgreSQL internal statistics. Created for snapshotting
 PostgreSQL's cumulative and dynamic statistics and performing time series
 analysis on them. The accompanying utility can produce visualizations for
 selected time ranges on the stored stats snapshots, enabling the user to track
 PostgreSQL performance over time and potentially perform tuning or
 troubleshooting.
 .
 This package contains the PostgreSQL pg_statviz extension.

Package: postgresql-14-statviz
Architecture: all
Provides:
 postgresql-statviz,
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
Recommends:
 pg-statviz,
Description: PostgreSQL internal statistics analysis and visualization
 pg_statviz is a minimalist extension and utility pair for time series analysis
 and visualization of PostgreSQL internal statistics. Created for snapshotting
 PostgreSQL's cumulative and dynamic statistics and performing time series
 analysis on them. The accompanying utility can produce visualizations for
 selected time ranges on the stored stats snapshots, enabling the user to track
 PostgreSQL performance over time and potentially perform tuning or
 troubleshooting.
 .
 This package contains the PostgreSQL pg_statviz extension.

Package: postgresql-15-statviz
Architecture: all
Provides:
 postgresql-statviz,
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
Recommends:
 pg-statviz,
Description: PostgreSQL internal statistics analysis and visualization
 pg_statviz is a minimalist extension and utility pair for time series analysis
 and visualization of PostgreSQL internal statistics. Created for snapshotting
 PostgreSQL's cumulative and dynamic statistics and performing time series
 analysis on them. The accompanying utility can produce visualizations for
 selected time ranges on the stored stats snapshots, enabling the user to track
 PostgreSQL performance over time and potentially perform tuning or
 troubleshooting.
 .
 This package contains the PostgreSQL pg_statviz extension.

Package: postgresql-16-statviz
Architecture: all
Provides:
 postgresql-statviz,
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
Recommends:
 pg-statviz,
Description: PostgreSQL internal statistics analysis and visualization
 pg_statviz is a minimalist extension and utility pair for time series analysis
 and visualization of PostgreSQL internal statistics. Created for snapshotting
 PostgreSQL's cumulative and dynamic statistics and performing time series
 analysis on them. The accompanying utility can produce visualizations for
 selected time ranges on the stored stats snapshots, enabling the user to track
 PostgreSQL performance over time and potentially perform tuning or
 troubleshooting.
 .
 This package contains the PostgreSQL pg_statviz extension.

Package: postgresql-17-statviz
Architecture: all
Provides:
 postgresql-statviz,
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
Recommends:
 pg-statviz,
Description: PostgreSQL internal statistics analysis and visualization
 pg_statviz is a minimalist extension and utility pair for time series analysis
 and visualization of PostgreSQL internal statistics. Created for snapshotting
 PostgreSQL's cumulative and dynamic statistics and performing time series
 analysis on them. The accompanying utility can produce visualizations for
 selected time ranges on the stored stats snapshots, enabling the user to track
 PostgreSQL performance over time and potentially perform tuning or
 troubleshooting.
 .
 This package contains the PostgreSQL pg_statviz extension.

## pg-statviz 0.8

=== Makefile ===
EXTENSION   = $(shell grep -m 1 '"name":' META.json | sed -e 's/[[:space:]]*"name":[[:space:]]*"\([^"]*\)",/\1/')
DISTVERSION  = $(shell grep -m 1 '[[:space:]]\{3\}"version":' META.json | sed -e 's/[[:space:]]*"version":[[:space:]]*"\([^"]*\)",\{0,1\}/\1/')
DATA = $(wildcard *--*.sql)
DOCS = README.md
REGRESS = pg_statviz_test
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

dist:
	git archive --format zip --prefix=$(EXTENSION)-$(DISTVERSION)/ -o $(EXTENSION)-$(DISTVERSION).zip HEAD *.sql *.control META.json README.md

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 fonttools==4.43.1
 kiwisolver==1.4.5
 matplotlib==3.8.0
-numpy==1.26.1
+numpy==2.3.4
 packaging==23.2
 pandas==2.2.2
 Pillow==10.3.0

=== debian/changelog ===
pg-statviz (0.8-1) unstable; urgency=medium

  * New upstream version 0.8.
  * Upload for PostgreSQL 18. (Closes: #1117293)
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Thu, 06 Nov 2025 20:48:31 +0100

=== debian/control ===
Source: pg-statviz
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
 python3:any,
Standards-Version: 4.7.2
Homepage: https://github.com/vyruss/pg_statviz
Vcs-Browser: https://salsa.debian.org/postgresql/pg-statviz
Vcs-Git: https://salsa.debian.org/postgresql/pg-statviz.git

Package: pg-statviz
Architecture: all
Depends:
 fonts-noto-core,
 fonts-noto-extra,
 python3-argh,
 python3-dateutil,
 python3-matplotlib,
 python3-numpy,
 python3-pandas,
 python3-psycopg,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 postgresql-statviz,
Description: PostgreSQL internal statistics analysis and visualization
 pg_statviz is a minimalist extension and utility pair for time series analysis
 and visualization of PostgreSQL internal statistics. Created for snapshotting
 PostgreSQL's cumulative and dynamic statistics and performing time series
 analysis on them. The accompanying utility can produce visualizations for
 selected time ranges on the stored stats snapshots, enabling the user to track
 PostgreSQL performance over time and potentially perform tuning or
 troubleshooting.
 .
 This package contains the pg_statviz utility.

Package: postgresql-18-statviz
Architecture: all
Provides:
 postgresql-statviz,
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
Recommends:
 pg-statviz,
Breaks:
 ${postgresql:Breaks},
Description: PostgreSQL internal statistics analysis and visualization
 pg_statviz is a minimalist extension and utility pair for time series analysis
 and visualization of PostgreSQL internal statistics. Created for snapshotting
 PostgreSQL's cumulative and dynamic statistics and performing time series
 analysis on them. The accompanying utility can produce visualizations for
 selected time ranges on the stored stats snapshots, enabling the user to track
 PostgreSQL performance over time and potentially perform tuning or
 troubleshooting.
 .
 This package contains the PostgreSQL pg_statviz extension.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with pgxs_loop,python3

override_dh_install:
	dh_install
	install src/run_pg_statviz debian/pg-statviz/usr/bin/pg_statviz

override_dh_installdocs:
	dh_installdocs --all README.*
	rm -v debian/*/usr/share/doc/postgresql-doc-*/extension/README.md*

=== debian/tests/control ===
Depends:
 postgresql-common-dev,
 @,
Tests:
 installcheck,
Restrictions:
 allow-stderr,

Depends:
 @,
Tests:
 pg-statviz,
Restrictions:
 allow-stderr,

=== debian/watch ===
version=4
https://github.com/vyruss/pg_statviz/tags .*/v(.*).tar.gz

## pg-statviz 0.9

=== requirements.txt ===
argh<0.30
contourpy==1.3.3
cycler==0.12.1
fonttools==4.61.1
kiwisolver==1.4.9
matplotlib==3.10.8
numpy==2.4.1
packaging==25.0
pandas==2.3.3
Pillow==12.1.0
psycopg==3.3.2
pyparsing==3.3.1
python-dateutil==2.9.0.post0
six==1.17.0

=== debian/changelog ===
pg-statviz (0.9-1) unstable; urgency=medium

  * New upstream version 0.9.
  * debian/pgversions: Set to 13+.

 -- Christoph Berg <myon@debian.org>  Mon, 12 Jan 2026 21:50:26 +0100
